Bug 31208 - univentionShareHost does not support substring search
univentionShareHost does not support substring search
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: LDAP
UCS 3.1
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Stefan Gohmann
Arvid Requate
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-26 11:54 CEST by Stefan Gohmann
Modified: 2013-11-19 06:42 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-04-26 11:54:14 CEST
univentionShareHost does not support substring search:

root@master:~# univention-ldapsearch "(&(objectClass=univentionShare)(univentionShareHost=*))" univentionShareHost
# extended LDIF
#
# LDAPv3
# base <l=de> (default) with scope subtree
# filter: (&(objectClass=univentionShare)(univentionShareHost=host.foo.local))
# requesting: univentionShareHost 
#

# share2, shares, x, de, de
dn: cn=share2,cn=shares,ou=x,ou=de,l=de
univentionShareHost: host.foo.local

# search result
search: 3
result: 0 Success

# numResponses: 2
# numEntries: 1
root@master:~# univention-ldapsearch "(&(objectClass=univentionShare)(univentionShareHost=host*))" univentionShareHost
# extended LDIF
#
# LDAPv3
# base <l=de> (default) with scope subtree
# filter: (&(objectClass=univentionShare)(univentionShareHost=host*))
# requesting: univentionShareHost 
#

# search result
search: 3
result: 0 Success

# numResponses: 1
Comment 1 Stefan Gohmann univentionstaff 2013-07-10 09:55:50 CEST
The schema definition has been changed.

changelog: r42228

code: r42227
Comment 2 Arvid Requate univentionstaff 2013-08-19 16:20:00 CEST
Verified: after the update the substring search works also for existing shares.
Changelog ok.
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:42:51 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".